package com.cf.imes.module.system.validation.menu;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.permission.MenuTypeEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * @author Gqr
 * @since 2025/10/29 9:41
 */
class MenuTypeValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        MenuTypeValidator validator = new MenuTypeValidator();
        assertTrue(validator.isValid(MenuTypeEnum.DIR.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(MenuTypeEnum.MENU.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(MenuTypeEnum.BUTTON.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(100, constraintValidatorContext));
    }
}
